| Unuk 1.0

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
Vector2 Struct Reference

`#include <Geometry.h>`

List of all members.

## Public Member Functions
| Vector2 (float X, float Y)
| Vector2 (void)
| Vector2 (const Vector2 &v)
Vector2 | operator* (const float s) const
Vector2 & | operator= (const Vector2 &v)
Vector2 & | operator+= (const Vector2 &v)
const Vector2 | operator- (const Vector2 &v) const
float | length (void) const
void | normalize (void)
## Public Attributes
float | x
float | y

## Detailed Description

Definition at line 31 of file Geometry.h.

## Constructor & Destructor Documentation

Vector2::Vector2 | ( | float | X,
|  | float | Y
| ) |  | `[inline]`

Definition at line 33 of file Geometry.h.

Vector2::Vector2 | ( | void |  | ) | `[inline]`

Definition at line 37 of file Geometry.h.

Vector2::Vector2 | ( | const Vector2 & | v | ) | `[inline]`

Definition at line 41 of file Geometry.h.

## Member Function Documentation

float Vector2::length | ( | void |  | ) | const`[inline]`

Definition at line 74 of file Geometry.h.

void Vector2::normalize | ( | void |  | ) | `[inline]`

Definition at line 78 of file Geometry.h.

Vector2 Vector2::operator* | ( | const float | s | ) | const`[inline]`

Definition at line 45 of file Geometry.h.

Vector2& Vector2::operator+= | ( | const Vector2 & | v | ) | `[inline]`

Definition at line 59 of file Geometry.h.

const Vector2 Vector2::operator- | ( | const Vector2 & | v | ) | const`[inline]`

Definition at line 66 of file Geometry.h.

Vector2& Vector2::operator= | ( | const Vector2 & | v | ) | `[inline]`

Definition at line 49 of file Geometry.h.

## Member Data Documentation

float Vector2::x

Definition at line 32 of file Geometry.h.

float Vector2::y

Definition at line 32 of file Geometry.h.

The documentation for this struct was generated from the following file:

- src/libUnuk/Geometry.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines